<!DOCTYPE html>
<html lang="en">

<head>
  <title> Pizza 365 project</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

</head>

<body>
  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning">
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active"><a class="nav-link" href="#">Trang chủ</a></li>
              <li class="nav-item"><a class="nav-link" href="#combo">Combo</a></li>
              <li class="nav-item"><a class="nav-link" href="#type">Loại pizza</a></li>
              <li class="nav-item"><a class="nav-link" href="#send">Gửi đơn hàng</a></li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>
  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <!--Title-->
      <div class="col-sm-12">
        <h1 style="color: orange;"><b>Pizza 365</b></h1>
        <p style="font-style: italic;color: orange;">Truly Italian!</p>
      </div>
      <!--Slide-->
      <div class="col-sm-12">
        <div id="carouselSlideShow" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="carouselSlideShow" data-slide-to="0" class="active"></li>
            <li data-target="carouselSlideShow" data-slide-to="0" class="active"></li>
            <li data-target="carouselSlideShow" data-slide-to="0" class="active"></li>
            <li data-target="carouselSlideShow" data-slide-to="0" class="active"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="pizza-2068272_1920.jpg" alt="First slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="pizza-5275191_1920.jpg" alt="Second slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="cheese-1869708_1920.jpg" alt="Third slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="pizza-6478478_1920.jpg" alt="Fourd slide">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselSlideShow" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselSlideShow" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
      <!--Title Pizza 365-->
      <div class="col-sm-12 text-center p-4 mt-4">
        <h2 style="color:orange;"><b class="p-2 border-bottom border-warning">Tại sao lại Pizza 365</b></h2>
      </div>
      <div class="col-sm-12 ">
        <div class="row ">
          <div class="col-sm-3 p-4 border border-warning" style="background-color:lightgoldenrodyellow ;">
            <h3 class="p-2">Đa dạng</h3>
            <p class="p-2">Số lượng pizza đa dạng,có đầy đủ các loại pizza đang hot nhất hiện nay.</p>
          </div>
          <div class="col-sm-3 p-4 border border-warning" style="background-color:yellow;">
            <h3 class="p-2">Chất lượng</h3>
            <p class="p-2">Nguyên liệu sạch 100% rõ nguồn gốc,quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm.</p>
          </div>
          <div class="col-sm-3 p-4 border border-warning" style="background-color:lightsalmon ;">
            <h3 class="p-2">Hương vị</h3>
            <p class="p-2">Đảm bảo hương vị ngon,độc,lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365.</p>
          </div>
          <div class="col-sm-3 p-4 border border-warning" style="background-color:orange ;">
            <h3 class="p-2">Dịch vụ</h3>
            <p class="p-2">Nhân viên thân thiện,nhà hàng hiện đại. Dịch vụ giao hàng nhan chất lượng,tân tiến.</p>
          </div>
        </div>
      </div>
    </div>
    <!--Menu Combo Pizza-->
    <div id="combo" class="row">
      <!-- Title what we offer -->
      <div class="col-sm-12 text-center p-4 mt-4">
        <h2><b class="p-1 border-bottom border-warning text-warning">Chọn size pizza</b></h2>
        <p><span class="p-2 text-warning">Chọn combo pizza phù hợp với nhu cầu của bạn</span></p>
      </div>
      <!-- Content what we offer -->
      <div class="col-sm-12">
        <div class="row">
          <div class="col-sm-4 s">
            <div class="card">
              <div class="card-header  text-center" style="background-color: orange;">
                <h3>S (small)</h3>
              </div>
              <div class="card-body text-center">
                <ul class="list-group list-group-flush ul_card_s">
                  <li class="list-group-item"> Đường kính<b>20cm</b></li>
                  <li class="list-group-item">Sườn nướng<b>2</b> </li>
                  <li class="list-group-item"> Salad <b>200g</b></li>
                  <li class="list-group-item"> Nước ngọt <b>2</b></li>
                  <li class="list-group-item">
                    <h1><b>150.000</b></h1>VND
                  </li>
                </ul>
              </div>
              <div class="card-footer text-center bg-white ">
                <button class="btn btn-warning form-control" id="btn-size-s">Chọn</button>
              </div>
            </div>
          </div>
          <div class="col-sm-4 m">
            <div class="card">
              <div class="card-header bg-warning  text-center">
                <h3>M (medium)</h3>
              </div>
              <div class="card-body text-center">
                <ul class="list-group list-group-flush ul_card_m">
                  <li class="list-group-item">Đường kính<b>25cm</b> </li>
                  <li class="list-group-item"> Sườn nướng<b>4</b></li>
                  <li class="list-group-item"> Salad <b>300g</b></li>
                  <li class="list-group-item"> Nước ngọt <b>3</b></li>
                  <li class="list-group-item">
                    <h1><b>200.000</b></h1>VND
                  </li>
                </ul>
              </div>
              <div class="card-footer text-center">
                <button class="btn btn-warning form-control" id="btn-size-m">Chọn</button>
              </div>
            </div>
          </div>
          <div class="col-sm-4 l">
            <div class="card">
              <div class="card-header text-center" style="background-color: orange;">
                <h3>L (large)</h3>
              </div>
              <div class="card-body text-center">
                <ul class="list-group list-group-flush ul_card_l">
                  <li class="list-group-item"> Đường kính<b>30cm</b></li>
                  <li class="list-group-item"> Sườn nướng<b>8</b></li>
                  <li class="list-group-item"> Salad <b>500g</b></li>
                  <li class="list-group-item"> Nước ngọt <b>4</b></li>
                  <li class="list-group-item">
                    <h1><b>250.000</b></h1>VND
                  </li>
                </ul>
              </div>
              <div class="card-footer text-center">
                <button class="btn btn-warning form-control" id="btn-size-l">Chọn</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="type" class="row">
      <!-- Title Who We Are -->
      <div class="col-sm-12 text-center p-4 mt-4">
        <h2><b class="p-2 border-bottom border-warning text-warning">Chọn loại Pizza</b></h2>
      </div>
      <div class="col-sm-12">
        <div class="row ">
          <div class="col-sm-4 ocena">
            <div class="card w-100" style="width: 18rem;">
              <img src="pizza-6478478_1920.jpg" class="card-img-top">
              <div class="card-body">
                <h4>OCENA MANIA</h4>
                <p>PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                <p>Xốt Cà Chua,Phô Mai Mozzarella,Tôm,Mực,Thanh Cua,Hành Tây</p>
                <p><button class="btn btn-warning form-control w-100" id="btn-pizza-ocena-mania">Chọn</button></p>
              </div>
            </div>
          </div>
          <div class="col-sm-4 hawaiian">
            <div class="card w-100" style="width: 18rem;">
              <img src="pizza-5275191_1920.jpg" class="card-img-top">
              <div class="card-body">
                <h4>HAWAIIAN</h4>
                <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                <p>Xốt Cà Chua,Phô Mai Mozzarella,Thịt Dăm Bông,Thơm.</p>
                <p><button class="btn btn-warning form-control w-100" id="btn-pizza-hawaiian">Chọn</button></p>
              </div>
            </div>
          </div>
          <div class="col-sm-4 cheesy">
            <div class="card w-100" style="width: 18rem;">
              <img src="cheese-1869708_1920.jpg" class="card-img-top">
              <div class="card-body">
                <h4>CHEESY CHICKEN BACON</h4>
                <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                <p>Xốt Phô Mai ,Thịt Gà,Thịt Heo,Muối,Phô Mai Mozzarella,Cà Chua.</p>
                <p><button class="btn btn-warning form-control w-100" id="btn-pizza-chicken-bacon">Chọn</button></p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="drink" class="row">
      <div class="col-sm-12 text-center p-4 mt-4">
        <h3><b class="p-2 border-bottom border-warning text-warning">Chọn đồ uống</b></h3>
      </div>
      <select id="select-drink" placeholder="Tất cả loại nước uống" type="text" class="form-control text-dark">
      </select>
    </div>
    <div id="send" class="row">
      <div class="col-sm-12 text-center p-4 mt-4">
        <h2><b class="p-2 border-bottom border-warning text-warning  ">Gửi đơn hàng</b></h2>
      </div>
      <div class="col-sm-12 p-2 ">
        <div class="row">
          <div class="col-sm-12">
            <div class="form-group">
              <label for="fullname">Tên</label>
              <input type="text" class="form-control" id="inp-fullname" placeholder="Nhập tên">
            </div>
            <div class="form-group">
              <label for="email">Email</label>
              <input type="text" class="form-control" id="inp-email" placeholder="Nhập email">
            </div>
            <div class="form-group">
              <label for="dien-thoai">Điện thoại</label>
              <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Nhập số điện thoại">
            </div>
            <div class="form-group">
              <label for="dia-chi">Địa chỉ</label>
              <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
            </div>
            <div class="form-group">
              <label for="message">Mã giảm giá</label>
              <input type="text" class="form-control" id="inp-voucher" placeholder="Nhập mã giảm giá">
            </div>
            <div class="form-group">
              <label for="message">Lời nhắn</label>
              <input type="text" class="form-control" id="inp-message" placeholder="Nhập lời nhắn">
            </div>
            <button id="btn-send-data-form" type="button" class="btn btn-warning  w-100" data-toggle="modal"
              data-target="#form-modal"><b>Gửi</b></button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Footer -->
  <div class="container-fluid bg-warning p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
        <small><b>Powered by DEVCAMP</b></small>
      </div>
    </div>
  </div>

  <!--MODAL Form InfoProduct-->
  <div>
    <div id="form-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title"> <b>Thông tin đơn hàng</b></h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form class="container">
              <div class="row form-group">
                <label>Họ và tên</label>
                <textarea id="text-name" style="width: 100%;height: 30px;"></textarea>
              </div>
              <div class="row form-group">
                <label>Số điện thoại</label>
                <textarea id="text-phone" style="width: 100%;height: 30px;"></textarea>
              </div>
              <div class="row form-group">
                <label>Địa chỉ</label>
                <textarea id="text-address" style="width: 100%;height: 30px;"></textarea>
              </div>
              <div class="row form-group">
                <label>Lời nhắn</label>
                <textarea id="text-loiNhan" style="width: 100%;height: 30px;"></textarea>
              </div>
              <div class="row form-group">
                <label>Mã giảm giá</label>
                <textarea id="text-VoucherID" style="width: 100%;height: 30px;"></textarea>
              </div>
              <div class="row form-group">
                <label>Thông tin chi tiết</label>
                <textarea id="text-infomation" style="width: 100%;height: 130px;"></textarea>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <!--phần chân modal -->
            <button id="btn-create-bill" class="btn btn-warning">Tạo đơn </button>
            <button type="button" class="btn btn-danger " data-dismiss="modal">Quay lại</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--MODAL Form Confirm-->
  <div>
    <div class="modal fade" id="modal-confirm" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content bg-warning" style="border: 15px solid gray;">
          <div class="modal-header">
            <h5 class="modal-title"><b>Cám ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</b></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-sm-3"><label for="text-ma-don-hang"><b>Mã đơn hàng:</b> </label></div>
              <div class="col-sm-9"><textarea name="ma-don-hang" id="text-ma-don-hang" cols="70" rows="1"></textarea>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.9.2/umd/popper.min.js" integrity="sha512-2rNj2KJ+D8s1ceNasTIex6z4HWyOnEYLVC3FigGOmyQCZc2eBXKgOxQmo3oKLHyfcj53uz4QMsRCWNbLd32Q1g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script >
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201; // status 201 tao thanh cong
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const vREG = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    const vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
    var gselectedMenuStructure = {
      kichCo: "",
      duongKinh: "",
      suon: "",
      salad: "",
      loaiPizza: "",
      idVourcher: "",
      idLoaiNuocUong: "",
      soLuongNuoc: "",
      hoTen: "",
      thanhTien: "",
      email: "",
      soDienThoai: "",
      diaChi: "",
      loiNhan: "",
    }
    var gselectedPizzaType = {
      loaiPizza: "",
    };
    var dataVoucher=[];
    var dataSizePizza=[];
    var giamgia;
    var price;
    var discount;
    var giatien;
    var voucherID;
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    $(document).ready(function () {
      "use strict";
      $.ajax({
        url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
        type : "GET",
        dataType: "json",
        contentType: "application/json; charset=UTF-8",
        success: function (res) {
          console.log(res);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        },
      });
      onGetSizeByClick();
      onGetTypeByClick();
      onGetDrinkList();
    });
    //data-toggle="modal" data-target="form-modal"
    $("#btn-send-data-form").on("click", function () {
      "use strict";
      ValidateData();
      $("#form-modal").modal("show");
      getDatafromForm();
      var name = $("#inp-fullname").val();
      var email = $("#inp-email").val();
      var phone = $("#inp-dien-thoai").val();
      var address = $("#inp-dia-chi").val();
      var voucher = $("#inp-voucher").val();
      getVoucher(voucher);
      var message = $("#inp-message").val();
      //debugger;
      gselectedMenuStructure.idLoaiNuocUong = $('#select-drink :selected').val();
      gselectedMenuStructure.hoTen = name;
      gselectedMenuStructure.email = email;
      gselectedMenuStructure.soDienThoai = phone;
      gselectedMenuStructure.diaChi = address;
      gselectedMenuStructure.loiNhan = message;
      console.log(dataSizePizza);
    })
    $("#btn-create-bill").on("click",function(){
      postData();
    });
    function postData() {
      "use strict";
      debugger;
      var totalPrice=giatien-giatien*discount/100;
      var vObjectRequest={
        kichCo: dataSizePizza[1],
        duongKinh: dataSizePizza[0][0],
        suon: dataSizePizza[0][1],
        salad: dataSizePizza[0][2],
        loaiPizza: gselectedPizzaType.loaiPizza,
        idVourcher: voucherID,
        idLoaiNuocUong: $('#select-drink :selected').val(),
        soLuongNuoc: dataSizePizza[0][3],
        hoTen: $("#inp-fullname").val(),
        thanhTien: totalPrice,
        email: $("#inp-email").val(),
        soDienThoai: $("#inp-dien-thoai").val(),
        diaChi: $("#inp-dia-chi").val(),
        loiNhan: $("#inp-message").val()
      }
      $.ajax({
        url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
        type : "POST",
        dataType: "json",
        data: JSON.stringify(vObjectRequest),
        contentType: "application/json; charset=UTF-8",
        success: function (data) {
          console.log(data);
          $("#form-modal").modal("hide");
          $("#modal-confirm").modal("show");
          $("#text-ma-don-hang").val(data.orderId);

        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        },
      });
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //Get data from Form
    function getDatafromForm() {
      "use strict";
      var name = $("#inp-fullname").val();
      var email = $("#inp-email").val();
      var phone = $("#inp-dien-thoai").val();
      var address = $("#inp-dia-chi").val();
      var voucher = $("#inp-voucher").val();
      getVoucher(voucher);
      var message = $("#inp-message").val();
      //debugger;
      gselectedMenuStructure.idLoaiNuocUong = $('#select-drink :selected').val();
      gselectedMenuStructure.hoTen = name;
      gselectedMenuStructure.email = email;
      gselectedMenuStructure.soDienThoai = phone;
      gselectedMenuStructure.diaChi = address;
      gselectedMenuStructure.loiNhan = message;
      console.log(gselectedMenuStructure);
      $("#text-name").html(name);
      $("#text-phone").html(phone);
      $("#text-address").html(address);
      $("#text-loiNhan").html(message);
      $("#text-VoucherID").html(voucher);
      $("#text-infomation").html("Xác nhận: " + name + ", " + phone + ", " + address + "\r\n"
        + "Menu: " + gselectedMenuStructure.kichCo + ", sườn nướng " + gselectedMenuStructure.suon + ", nước " + gselectedMenuStructure.soLuongNuoc + ",.." + "\r\n"
        + "Loại pizza: " + gselectedPizzaType.loaiPizza + ", Giá: " + gselectedMenuStructure.thanhTien + " vnd, Mã giảm giá: " + voucher + "\r\n"
        + "Phải thanh toán: " + price + " vnd( giảm giá " + giamgia * 100 + "%)"
      );
    }
    //Validate DATA
    function ValidateData() {
      var name = $("#inp-fullname").val();
      if ($.trim(name) == "") {
        alert("Bạn hãy điền đầy đủ thông tin vào form!");
        console.log("ValidateData Name: FALSE");
      }
      else {
        console.log("ValidateData Name: TRUE");
      }
      var email = $("#inp-email").val();
      if (vREG.test(String(email).toLowerCase == false)) {
        alert("Bạn hãy điền đầy đủ thông tin vào form!");
        console.log("ValidateData Email: FALSE");
      }
      else {
        console.log("ValidateData Email: TRUE");
      }
      var phone = $("#inp-dien-thoai").val();
      if ($.trim(phone) == "" || vnf_regex.test(phone)==false) {
        alert("Hãy kiểm tra lại số điện thoại của bạn! Không hợp lệ");
        console.log("ValidateData Phone: FALSE");
      }
      else {
        console.log("ValidateData Phone: TRUE");
      }
      var address = $("#inp-dia-chi").val();
      if ($.trim(address) == "") {
        alert("Bạn hãy điền đầy đủ thông tin vào form!");
        console.log("ValidateData Address: FALSE");
      }
      else {
        console.log("ValidateData Address: TRUE");
      }
      var txt;
      var voucher = $("#inp-voucher").val();
      if ($.trim(voucher) == "") {
        if (confirm("Bạn chưa điền mã voucher!Bạn có muốn tiếp tục đăng ký không dùng voucher không?")) {
          txt = "Không sử dụng voucher!";
        }
      }
      else {
        getVoucher(voucher);
      }
      var message = $("#inp-message").val();
      if ($.trim(message) == "") {
        alert("Bạn hãy điền đầy đủ thông tin vào form!");
        console.log("ValidateData Message: FALSE");
      }
      else {
        console.log("ValidateData Message: TRUE");
      }
      if (gselectedMenuStructure.kichCo == "") {
        alert("Bạn chưa chọn size pizza!");
      }
      if (gselectedPizzaType == "") {
        alert("Bạn chưa chọn loại pizza!");
      }
    }
    
    function getVoucher(paramElement) {
      $.ajax({
        url: "http://42.115.221.44:8080/devcamp-voucher-api/voucher_detail/" + paramElement,
        type: "GET",
        dataType: "json",
        async:true,
        success: function (data) {
          dataVoucher.splice(0,dataVoucher.length);
          dataVoucher.push(data);
          discount=parseInt(dataVoucher[0].phanTramGiamGia);
          voucherID=dataVoucher[0].maVoucher;
          console.log(data);
          console.log(dataVoucher);
          console.log("ValidateData Address: TRUE");
          gselectedMenuStructure.idVourcher = data.maVoucher;
          var tien = parseInt(gselectedMenuStructure.thanhTien);
          giamgia = parseInt(data.phanTramGiamGia) / 100;
          console.log(tien);
          console.log(giamgia);
          price = (tien - tien * giamgia) * 1000;
        },
        error: function (ajaxContext) {
          console.log("Không tìm thấy voucher ");
          alert(ajaxContext.responseText);
        },
      });
    }
    //Get drink list to select
    function onGetDrinkList() {
      "use strict";
      var index = 0;
      $.ajax({
        url: "http://42.115.221.44:8080/devcamp-pizza365/drinks",
        type: "GET",
        dataType: "json",
        success: function (data) {
          console.log(data);
          while (index < data.length) {
            $("<option/>", { text: data[index].tenNuocUong, value: data[index].maNuocUong }).appendTo($("#select-drink"));
            index++;
          }

        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        },
      });
    }
    //Get and Change Color By Click Button Size
    function onGetSizeByClick() {
      "use strict";
      //Button S change Color
      $("#btn-size-s").on("click", function () {
        $("#btn-size-s").attr("class", "btn btn-success form-control");
        $("#btn-size-m  ").attr("class", "btn btn-warning form-control");
        $("#btn-size-l").attr("class", "btn btn-warning form-control");
        var listItemBody = $(".ul_card_s").children().map(function () {
          return $(this).find("b").text().trim();
        }).get();
        dataSizePizza.splice(0,dataSizePizza.length);
        dataSizePizza.push(listItemBody);
        console.log("%c" + $(".s").children().find("h3").text(), "color:purple");
        console.log("%cBody item: ", "color:green", listItemBody);
        var size = $(".s").children().find("h3").text().slice(0, 1);
        dataSizePizza.push(size);
        giatien=parseInt(dataSizePizza[0][4]);
        gselectedMenuStructure.kichCo = size;
        gselectedMenuStructure.duongKinh = listItemBody[0];
        gselectedMenuStructure.suon = listItemBody[1];
        gselectedMenuStructure.salad = listItemBody[2];
        gselectedMenuStructure.soLuongNuoc = listItemBody[3];
        gselectedMenuStructure.thanhTien = listItemBody[4];
        console.log(gselectedMenuStructure);
      });

      //Button M change Color
      $("#btn-size-m").on("click", function () {
        $("#btn-size-s").attr("class", "btn btn-warning form-control");
        $("#btn-size-m  ").attr("class", "btn btn-success form-control");
        $("#btn-size-l").attr("class", "btn btn-warning form-control");
        var listItemBody = $(".ul_card_m").children().map(function () {
          return $(this).find("b").text().trim();
        }).get();
        //console.log(list.childNodes);
        dataSizePizza.splice(0,dataSizePizza.length);
        dataSizePizza.push(listItemBody);
        console.log("%c" + $(".m").children().find("h3").text(), "color:purple");
        console.log("%cBody item: ", "color:green", listItemBody);
        var size = $(".m").children().find("h3").text().slice(0, 1);
        dataSizePizza.push(size);
        giatien=parseInt(dataSizePizza[0][4]);
        gselectedMenuStructure.kichCo = size;
        gselectedMenuStructure.duongKinh = listItemBody[0];
        gselectedMenuStructure.suon = listItemBody[1];
        gselectedMenuStructure.salad = listItemBody[2];
        gselectedMenuStructure.soLuongNuoc = listItemBody[3];
        gselectedMenuStructure.thanhTien = listItemBody[4];
        console.log(gselectedMenuStructure);
      });

      //Button L change Color
      $("#btn-size-l").on("click", function () {
        $("#btn-size-s").attr("class", "btn btn-warning form-control");
        $("#btn-size-m  ").attr("class", "btn btn-warning form-control");
        $("#btn-size-l").attr("class", "btn btn-success form-control");
        var listItemBody = $(".ul_card_l").children().map(function () {
          return $(this).find("b").text().trim();
        }).get();
        //console.log(list.childNodes);
        dataSizePizza.splice(0,dataSizePizza.length);
        dataSizePizza.push(listItemBody);
        console.log("%c" + $(".l").children().find("h3").text(), "color:purple");
        console.log("%cBody item: ", "color:green", listItemBody);
        var size = $(".s").children().find("h3").text().slice(0, 1);
        dataSizePizza.push(size);
        giatien=parseInt(dataSizePizza[0][4]);
        gselectedMenuStructure.kichCo = size;
        gselectedMenuStructure.duongKinh = listItemBody[0];
        gselectedMenuStructure.suon = listItemBody[1];
        gselectedMenuStructure.salad = listItemBody[2];
        gselectedMenuStructure.soLuongNuoc = listItemBody[3];
        gselectedMenuStructure.thanhTien = listItemBody[4];
        console.log(gselectedMenuStructure);
      });
    }
    //Get and Change Color By Click Button Type
    function onGetTypeByClick() {
      "use strict";
      //Type OCENA
      $("#btn-pizza-ocena-mania").on("click", function () {
        $("#btn-pizza-ocena-mania").attr("class", "btn btn-success form-control");
        $("#btn-pizza-hawaiian").attr("class", "btn btn-warning form-control");
        $("#btn-pizza-chicken-bacon").attr("class", "btn btn-warning form-control");
        var type = $(".ocena").children().find("h4").text();
        gselectedPizzaType.loaiPizza = type;
        gselectedMenuStructure.loaiPizza = type;
        console.log(type);
        console.log(gselectedPizzaType);
      });

      //Type HAWAIIAN
      $("#btn-pizza-hawaiian").on("click", function () {
        $("#btn-pizza-ocena-mania").attr("class", "btn btn-warning form-control");
        $("#btn-pizza-hawaiian").attr("class", "btn btn-success form-control");
        $("#btn-pizza-chicken-bacon").attr("class", "btn btn-warning form-control");
        var type = $(".hawaiian").children().find("h4").text();
        gselectedPizzaType.loaiPizza = type;
        gselectedMenuStructure.loaiPizza = type;
        console.log(type);
        console.log(gselectedPizzaType);
      });

      //Type OCENA
      $("#btn-pizza-chicken-bacon").on("click", function () {
        $("#btn-pizza-ocena-mania").attr("class", "btn btn-warning form-control");
        $("#btn-pizza-hawaiian").attr("class", "btn btn-warning form-control");
        $("#btn-pizza-chicken-bacon").attr("class", "btn btn-success form-control");
        var type = $(".cheesy").children().find("h4").text();
        gselectedPizzaType.loaiPizza = type;
        gselectedMenuStructure.loaiPizza = type;
        console.log(type);
        console.log(gselectedPizzaType);
      });
    }
  </script>
</body>

</html>